<?php

use think\migration\Migrator;
use think\migration\db\Column;

class CreateMetaBusinessAccountsTable extends Migrator
{
    public function change()
    {
        $table = $this->table('ad_meta_business_accounts');
        $table->addColumn('account_name', 'string', ['limit' => 255])
            ->addColumn('account_id', 'string', ['limit' => 255, 'unique' => true])
            ->addColumn('status', 'string', ['limit' => 50])
            ->addColumn('created_at', 'timestamp', ['default' => 'CURRENT_TIMESTAMP'])
            ->addColumn('updated_at', 'timestamp', ['default' => 'CURRENT_TIMESTAMP', 'update' => 'CURRENT_TIMESTAMP'])
            ->create();
    }
}
